Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158160 - Strange issues when writing creating files on cifs mounted network share
Summary: Strange issues when writing creating files on cifs mounted network share
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 09:48 UTC by Steven
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 00:01:13 UTC


Attachments (Terms of Use)

Description Steven 2005-05-19 09:48:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.5) Gecko/20041110 Firefox/1.0

Description of problem:
When mounting an NT4 network share using mount.cifs I can "touch" files but it gives me an error saying something like "touch: setting times of `test': Input/output error
I then rm the file only to have it still listed when I do "ls".
I then try and remove file again
rm: remove regular empty file `test'? y
rm: cannot remove `test': No such file or director

Version-Release number of selected component (if applicable):
samba-3.0.8-0.pre1.3 (kernel 2.6.9) mount.cifs 1.4/1.6

How reproducible:
Always

Steps to Reproduce:
1. mount.cifs /path/to/network/share /mountpoint  -o "username=,password="
2. touch /path/to/network/share/test
3.
  

Actual Results:  touch: setting times of `test': Input/output error

Expected Results:  nothing

Additional info:

Comment 1 Steven 2005-05-19 09:59:03 UTC
when creating the file with vim rather than touch, the file is successfully
created and i can successfully remove it. It appears to only fail with certain
editors

Comment 2 Jay Fenlason 2005-05-19 14:57:45 UTC
cifs is part of the kernel, not Samba, so I'm redirecting this to the correct 
maintainers.  You might also have good luck contacting the upstream 
maintainers via the mailing list or bugzilla listed at: 
http://www.samba.org/samba/Linux_CIFS_client.html 
(Yes, samba.org kindly hosts the site, no that doesn't make it part of Samba.) 

Comment 3 Dave Jones 2005-07-15 19:22:11 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 4 Dave Jones 2005-10-03 00:01:13 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.